Subject: auto dns discovery

From: [email-masked]
Date: Wed, 02 Aug 2000 18:18:23 EDT

Hi-
  I sat in on the ipng( should I saw IPv6) wg discussion today and heard some talk about different ways to do auto discovery of DNS. I don't know if anyone has already suggested this, but why not extend ICMP to support auto DNS discovery. It would be much like the router soliciation or net mask ICMP message pairs. I host sends out an ICMP dns request message and the recipient (broadcast or unicast) sends a reply with the name/ip addr(s) of the DNSs it knows about. 
  I would argue in favor of an ICMP extension over DHCP or anyother scheme requiring a server in the network since ICMP is already EVERYWHERE and this extension would require little work. 

Thanks,
Paul

Paul Tasillo
Tivoli Systems
[email-masked]

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------